package ru.yandex.webmaster3.core.blackbox;

import java.util.List;
import java.util.Map;

/**
 * @author avhaliullin
 */
public class UserWithFields {
    private final long uid;
    private final Map<BlackboxAttributeType, String> fields;
    private final List<UserEmailInfo> emails;

    public UserWithFields(long uid, Map<BlackboxAttributeType, String> fields, List<UserEmailInfo> emails) {
        this.uid = uid;
        this.fields = fields;
        this.emails = emails;
    }

    public Map<BlackboxAttributeType, String> getFields() {
        return fields;
    }

    public long getUid() {
        return uid;
    }

    public List<UserEmailInfo> getEmails() {
        return emails;
    }
}
